ext/numeric File Reference

Go to the source code of this file.

## Namespaces

| __gnu_cxx

## Macros

#define | _EXT_NUMERIC

## Functions

template<typename _Tp , typename _Integer >
_Tp | __gnu_cxx::__power (_Tp __x, _Integer __n)
template<typename _Tp , typename _Integer , typename _MonoidOperation >
_Tp | __gnu_cxx::__power (_Tp __x, _Integer __n, _MonoidOperation __monoid_op)
template<typename _Tp , typename _Integer >
_Tp | __gnu_cxx::power (_Tp __x, _Integer __n)
template<typename _Tp , typename _Integer , typename _MonoidOperation >
_Tp | __gnu_cxx::power (_Tp __x, _Integer __n, _MonoidOperation __monoid_op)

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

Definition in file ext/numeric.